# Get Webhook Secret Retrieve your webhook secret for signature verification. The secret is not included in the general settings response for security. You must have a webhookUrl configured to have a secret. Endpoint: GET /partners/settings/webhook-secret Version: 1.0.2 Security: oauth2ClientCredentials ## Response 200 fields (application/json): - `webhookSecret` (string, required) The newly generated webhook secret Example: "9f8e7d6c5b4a3f2e1d0c9b8a7f6e5d4c3b2a1f0e9d8c7b6a5f4e3d2c1b0a9f8e" ## Response 401 fields (application/json): - `error` (string) Human-readable error message Example: "invalid_client" ## Response 404 fields (application/json): - `loc` (array, required) Location of the error in the request body - `type` (string, required) Type of validation error Enum: "missing", "invalid", "type_error"